The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get All Threat Feeds

Prev Next

This URL gets all threat feeds for a specific domain.

Resource URL

GET threatfeedintelligence/{domainId}/loadAllThreatFeeds

Request Parameters

URL Parameters:

Field Name

Description

Data Type

Mandatory

domainId

Domain ID

Number

Yes

Response Parameters

The following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

success

Success status (true or false)

Boolean

msg

Message

String

errMsg

Error message

String

data

Data

String

errorCode

Error code

Number

Details of data:

Field Name

Description

Data Type

feedId

Unique identifier for the threat feed

Number

feedName

Name of the threat feed

String

publisherName

Name of the feed publisher

String

feedSourceType

Type of feed source (The value is 1 as the STIX JSON file is manually imported)

Number

ownerDomainId

ID of the owner domain of the threat feed

Number

lastUpdated

Last updated time - Unix epoch (in milliseconds)

Number

iocTypesEnabled

List of enabled IoC types:

IOC_IPv4_ENDPOINT_TYPE = 1, IOC_IPv6_ENDPOINT_TYPE = 2, IOC_IPv4_CIDR_TYPE = 3, IOC_IPv6_CIDR_TYPE = 4, IOC_HOST_DOMAIN_NAME_TYPE = 5, IOC_URL_TYPE = 6, IOC_FILE_HASH_TYPE = 7

Array

visibleToChildDomain

Indicates if visible to child domains

Boolean

ownerDomain

The domain in which the threat feed is created

String

assignedToSensors

List of sensors assigned to this feed

Array

fromMoM

Indicates if the feed is from Central Manager

Boolean

Example

Request

GET https://<Manager_IP>/sdkapi/threatfeedintelligence/0/loadAllThreatFeeds

Response

{
    "success": true,
    "msg": null,
    "errMsg": null,
    "data": [
        {
            "feedId": 1,
            "feedName": "Testfeed1",
            "publisherName": "test",
            "feedSourceType": 1,
            "ownerDomainId": 0,
            "lastUpdated": 1759731598000,
            "iocTypesEnabled": [1, 2, 3, 4, 5, 6, 7],
            "visibleToChildDomain": true,
            "ownerDomain": "/My Company",
            "assignedToSensors": [],
            "fromMoM": false
        }
    ],
    "errorCode": 0
}

Error Information

The following error code is returned by this URL:

S.No

Generic Error Codes

ErrorMessage

Error Reason

1

1001

Bad URL - HTTP 404 Not Found

Mistyped URL

Internal Error – Null

Incorrect Input data, authentication issues